[Plugin] ltConfig v0.2.5.0

Suggest, post, or discuss plugins for Deluge
2muchacid
New User
New User
Posts: 4
Joined: Wed Jun 01, 2016 7:37 pm
OS or Distro: debian jessie

Re: [Plugin] ltConfig v0.2.5.0

Postby 2muchacid » Wed Jun 01, 2016 7:58 pm

Hi,

After installing the plugin I don't get any new options?

Image

deluge: 1.3.12
libtorrent: 1.0.9.0
Python 2.7.9

Shryp
Super Seeder
Super Seeder
Posts: 360
Joined: Mon Apr 20, 2015 10:20 pm
OS or Distro: Windows 7, Antegos

Re: [Plugin] ltConfig v0.2.5.0

Postby Shryp » Wed Jun 01, 2016 9:21 pm

2muchacid wrote:Hi,

After installing the plugin I don't get any new options?

Image

deluge: 1.3.12
libtorrent: 1.0.9.0
Python 2.7.9


Something is wrong with your install. It works fine for me and you should not be seeing "Not available" for all of those info notes. Do all of your other plugins work correctly? I have had on occasion where I have to restart deluge to get plugins working again. In my case it seems to happen occasionally if I enable and disable them frequently.

Cas
Top Bloke
Top Bloke
Posts: 3270
Joined: Mon Dec 07, 2009 6:04 am
OS or Distro: Ubuntu 16.04
Location: Scotland

Re: [Plugin] ltConfig v0.2.5.0

Postby Cas » Wed Jun 01, 2016 10:59 pm

Check plugin wiki install guide...

2muchacid
New User
New User
Posts: 4
Joined: Wed Jun 01, 2016 7:37 pm
OS or Distro: debian jessie

Re: [Plugin] ltConfig v0.2.5.0

Postby 2muchacid » Thu Jun 02, 2016 7:05 pm

Thanks for the replies, I believe I had the wrong version of Python.

seanvree@hotmail.com
Member
Member
Posts: 10
Joined: Fri Aug 12, 2016 6:59 pm
OS or Distro: Windows 10

Re: [Plugin] ltConfig v0.2.5.0

Postby seanvree@hotmail.com » Sat Aug 13, 2016 7:38 am

So, just to confirm here,

LT 0.2.5.0 DOES support Deluge 1.3.12/Libtorrent1.0.6.0, correct?

Shryp
Super Seeder
Super Seeder
Posts: 360
Joined: Mon Apr 20, 2015 10:20 pm
OS or Distro: Windows 7, Antegos

Re: [Plugin] ltConfig v0.2.5.0

Postby Shryp » Sat Aug 13, 2016 6:14 pm

seanvree@hotmail.com wrote:So, just to confirm here,

LT 0.2.5.0 DOES support Deluge 1.3.12/Libtorrent1.0.6.0, correct?


Yes, Though deluge has been updated.

mhertz
Leecher
Leecher
Posts: 51
Joined: Wed Jan 22, 2014 5:05 am
OS or Distro: Arch Linux

Re: [Plugin] ltConfig v0.2.5.0

Postby mhertz » Sun Aug 14, 2016 4:41 pm

Thank you so much for this plugin. This plugin is a must-have for me for enabling 'force_proxy' and 'anonymous_mode' which deluge doesn't provide native functionality for, to fully secure my socks5 proxy setup. If not for this plugin, I would need to use qbittorrent, which also is very nice, but deluge has a console ui which I prefer and deluge uses less ram with roughly same cpu usage(though in a VM deluge uses double cpu than qbittorrent there for some reason? Of course it's C++ vs python, but it's only in the VM this shows oddly), and I don't have any other apps installed needing QT on my system, only GTK+.

Edit: To be fair, found out that qbittorrent(-nox) only uses more ram because disk-cache is set higher than deluge by default and so with comparative disk-cache settings in both, then qbittorrent(-nox) actually uses less ram than deluge.

Thanks again.

Ratanak
Leecher
Leecher
Posts: 93
Joined: Sat Dec 22, 2012 4:47 am
OS or Distro: Windows 7

Re: [Plugin] ltConfig v0.2.5.0

Postby Ratanak » Sat Aug 27, 2016 3:33 am

Just wanted to follow up on libtorrent 1.1.x. Since Deluge 1.3.x will not be supporting this libtorrent version, ltConfig will also not.

Deluge 1.3.13 with libtorrent 1.0.9 should work with ltConfig 0.2.5.0. If you are having issues with this combination, then it is a legitimate problem that I will try to help with.

mhertz
Leecher
Leecher
Posts: 51
Joined: Wed Jan 22, 2014 5:05 am
OS or Distro: Arch Linux

Re: [Plugin] ltConfig v0.2.5.0

Postby mhertz » Sat Aug 27, 2016 1:57 pm

Cas stated recently that libtorrent v1.1.1(just released) will probably support deluge v1.3.x, btw.

gggirlgeek
Member
Member
Posts: 13
Joined: Mon Oct 10, 2016 11:59 pm
OS or Distro: Windows 7 x64

Re: [Plugin] ltConfig v0.2.5.0

Postby gggirlgeek » Fri Oct 28, 2016 12:17 pm

libtorrent v1.09.09
Deluge v1.13
Itconfig v0.2.5.0 py v.2.7
Seedbox: Debian 8.6
Browsers: Firefox 38 & Android Ice cream Sandwich default

Trying to go to my deluge webui. I get the error below in the webpage. It worked fine 24 hours ago, and the only thing I changed was applying the Itconfig "High performance seed" profile to both daemons on my seedbox. Everything works fine in my Windows client, just not the Webui. Also, the same settings work fine in another seedbox (Ubuntu 14.04 with libtorrent v0.16.)

Which setting(s) do I need to change back?

From browser:
web.Server Traceback (most recent call last):
exceptions.KeyError: 'ltconfig/ltconfig.js'
/usr/lib/python2.7/dist-packages/twisted/web/server.py:189 in process
188 self._encoder = encoder
189 self.render(resrc)
190 except:
/usr/lib/python2.7/dist-packages/twisted/web/server.py:238 in render
237 try:
238 body = resrc.render(self)
239 except UnsupportedMethod as e:
/usr/local/lib/python2.7/dist-packages/deluge-1.3.13-py2.7.egg/deluge/ui/web/server.py:572 in render
571
572 scripts = component.get("Scripts").get_scripts(mode)
573 scripts.insert(0, "gettext.js")
/usr/local/lib/python2.7/dist-packages/deluge-1.3.13-py2.7.egg/deluge/ui/web/server.py:377 in get_scripts
376 for path in _order:
377 filepath = _scripts[path]
378
exceptions.KeyError: 'ltconfig/ltconfig.js'
Deluge v1.13
libtorrent v1.09.09
Seedbox: Debian 8.6
Client on: Win7x64


Return to “Plugins”

Who is online

Users browsing this forum: No registered users and 1 guest